package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.request.SID20BitchLlq.ID0200;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.io.Serializable;


/**
 * <p>RedInvReqBillType complex type的 Java 类。
 *
 * <p>以下模式片段指定包含在此类中的预期内容。
 *
 * <pre>
 * &lt;complexType name="RedInvReqBillType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ReqNsrsbh" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Kpjh" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Sbbh" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ReqBillNo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="BillType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="TypeCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="InvNo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Szlb" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="IsMutiRate" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Date" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Kprq" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="BuyerName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="BuyTaxCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="SellerName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="SellTaxCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Amount" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="TaxRate" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Tax" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ReqMemo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="SPBMBBH" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="SLBZ" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="RedInvReqBillMx" type="{}RedInvReqBillMxType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RedInvReqBillType", propOrder = {
        "reqNsrsbh",
        "kpjh",
        "sbbh",
        "reqBillNo",
        "billType",
        "typeCode",
        "invNo",
        "szlb",
        "isMutiRate",
        "date",
        "kprq",
        "buyerName",
        "buyTaxCode",
        "sellerName",
        "sellTaxCode",
        "amount",
        "taxRate",
        "tax",
        "reqMemo",
        "spbmbbh",
        "slbz",
        "redInvReqBillMx"
})
public class RedInvReqBillType implements Serializable {

    @XmlElement(name = "ReqNsrsbh", required = true)
    protected String              reqNsrsbh;
    @XmlElement(name = "Kpjh", required = true)
    protected String              kpjh;
    @XmlElement(name = "Sbbh", required = true)
    protected String              sbbh;
    @XmlElement(name = "ReqBillNo", required = true)
    protected String              reqBillNo;
    @XmlElement(name = "BillType", required = true)
    protected String              billType;
    @XmlElement(name = "TypeCode", required = true)
    protected String              typeCode;
    @XmlElement(name = "InvNo", required = true)
    protected String              invNo;
    @XmlElement(name = "Szlb", required = true)
    protected String              szlb;
    @XmlElement(name = "IsMutiRate", required = true)
    protected String              isMutiRate;
    @XmlElement(name = "Date", required = true)
    protected String              date;
    @XmlElement(name = "Kprq", required = true)
    protected String              kprq;
    @XmlElement(name = "BuyerName", required = true)
    protected String              buyerName;
    @XmlElement(name = "BuyTaxCode", required = true)
    protected String              buyTaxCode;
    @XmlElement(name = "SellerName", required = true)
    protected String              sellerName;
    @XmlElement(name = "SellTaxCode", required = true)
    protected String              sellTaxCode;
    @XmlElement(name = "Amount", required = true)
    protected String              amount;
    @XmlElement(name = "TaxRate", required = true)
    protected String              taxRate;
    @XmlElement(name = "Tax", required = true)
    protected String              tax;
    @XmlElement(name = "ReqMemo", required = true)
    protected String              reqMemo;
    @XmlElement(name = "SPBMBBH", required = true)
    protected String              spbmbbh;
    @XmlElement(name = "SLBZ", required = true)
    protected String              slbz;
    @XmlElement(name = "RedInvReqBillMx", required = true)
    protected RedInvReqBillMxType redInvReqBillMx;

    /**
     * 获取reqNsrsbh属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getReqNsrsbh() {
        return reqNsrsbh;
    }

    /**
     * 设置reqNsrsbh属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setReqNsrsbh(String value) {
        this.reqNsrsbh = value;
    }

    /**
     * 获取kpjh属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getKpjh() {
        return kpjh;
    }

    /**
     * 设置kpjh属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setKpjh(String value) {
        this.kpjh = value;
    }

    /**
     * 获取sbbh属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getSbbh() {
        return sbbh;
    }

    /**
     * 设置sbbh属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setSbbh(String value) {
        this.sbbh = value;
    }

    /**
     * 获取reqBillNo属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getReqBillNo() {
        return reqBillNo;
    }

    /**
     * 设置reqBillNo属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setReqBillNo(String value) {
        this.reqBillNo = value;
    }

    /**
     * 获取billType属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getBillType() {
        return billType;
    }

    /**
     * 设置billType属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setBillType(String value) {
        this.billType = value;
    }

    /**
     * 获取typeCode属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getTypeCode() {
        return typeCode;
    }

    /**
     * 设置typeCode属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setTypeCode(String value) {
        this.typeCode = value;
    }

    /**
     * 获取invNo属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getInvNo() {
        return invNo;
    }

    /**
     * 设置invNo属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setInvNo(String value) {
        this.invNo = value;
    }

    /**
     * 获取szlb属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getSzlb() {
        return szlb;
    }

    /**
     * 设置szlb属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setSzlb(String value) {
        this.szlb = value;
    }

    /**
     * 获取isMutiRate属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getIsMutiRate() {
        return isMutiRate;
    }

    /**
     * 设置isMutiRate属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setIsMutiRate(String value) {
        this.isMutiRate = value;
    }

    /**
     * 获取date属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getDate() {
        return date;
    }

    /**
     * 设置date属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setDate(String value) {
        this.date = value;
    }

    /**
     * 获取buyerName属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getBuyerName() {
        return buyerName;
    }

    /**
     * 设置buyerName属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setBuyerName(String value) {
        this.buyerName = value;
    }

    /**
     * 获取buyTaxCode属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getBuyTaxCode() {
        return buyTaxCode;
    }

    /**
     * 设置buyTaxCode属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setBuyTaxCode(String value) {
        this.buyTaxCode = value;
    }

    /**
     * 获取sellerName属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getSellerName() {
        return sellerName;
    }

    /**
     * 设置sellerName属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setSellerName(String value) {
        this.sellerName = value;
    }

    /**
     * 获取sellTaxCode属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getSellTaxCode() {
        return sellTaxCode;
    }

    /**
     * 设置sellTaxCode属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setSellTaxCode(String value) {
        this.sellTaxCode = value;
    }

    /**
     * 获取amount属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getAmount() {
        return amount;
    }

    /**
     * 设置amount属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setAmount(String value) {
        this.amount = value;
    }

    /**
     * 获取taxRate属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getTaxRate() {
        return taxRate;
    }

    /**
     * 设置taxRate属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setTaxRate(String value) {
        this.taxRate = value;
    }

    /**
     * 获取tax属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getTax() {
        return tax;
    }

    /**
     * 设置tax属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setTax(String value) {
        this.tax = value;
    }

    /**
     * 获取reqMemo属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getReqMemo() {
        return reqMemo;
    }

    /**
     * 设置reqMemo属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setReqMemo(String value) {
        this.reqMemo = value;
    }

    /**
     * 获取spbmbbh属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getSPBMBBH() {
        return spbmbbh;
    }

    /**
     * 设置spbmbbh属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setSPBMBBH(String value) {
        this.spbmbbh = value;
    }

    /**
     * 获取slbz属性的值。
     *
     * @return possible object is
     * {@link String }
     */
    public String getSLBZ() {
        return slbz;
    }

    /**
     * 设置slbz属性的值。
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setSLBZ(String value) {
        this.slbz = value;
    }

    /**
     * 获取redInvReqBillMx属性的值。
     *
     * @return possible object is
     * {@link RedInvReqBillMxType }
     */
    public RedInvReqBillMxType getRedInvReqBillMx() {
        return redInvReqBillMx;
    }

    /**
     * 设置redInvReqBillMx属性的值。
     *
     * @param value allowed object is
     *              {@link RedInvReqBillMxType }
     */
    public void setRedInvReqBillMx(RedInvReqBillMxType value) {
        this.redInvReqBillMx = value;
    }

    public String getKprq() {
        return kprq;
    }

    public void setKprq(String kprq) {
        this.kprq = kprq;
    }
}
